MCP server

Base URL
https://{kibana_url}
  • POST /api/agent_builder/mcp
  • POST /s/{space_id}/api/agent_builder/mcp
Auth
Warning

This endpoint is designed for MCP clients (Claude Desktop, Cursor, VS Code, etc.) and should not be used directly via REST APIs. Use MCP Inspector or native MCP clients instead.

To learn more about the Agent Builder MCP server, refer to the MCP documentation.

Required authorization

Privileges agentBuilder:read

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Query parameters

namespace string

Comma-separated list of namespaces to filter tools. Only tools matching the specified namespaces will be returned.

Request body

Type: object

Response

200

Indicates a successful response

application/json
Base URL
https://{kibana_url}